#!/bin/bash -l
#############################################################################
###                                                                       ###
###   Compile script for SU3                                              ###
###                                                                       ###
###   Last modified: 2008-09-08                                           ###
###                                                                       ###
#############################################################################

export MAKE="#MAKE#"
export EXECNAME="#EXECNAME#"
export AAPROG="#AAPROG#"
export RM="#RM#"
export AR="#AR#"
export ARFLAGS="#ARFLAGS#"
export CC="#CC#"
export CFLAGS="#CFLAGS#"
export MPI_CC="#MPI_CC#"
export LDFLAGS="#LDFLAGS#"

#MODULE_INIT#
#MODULE_CMD# #MODULE_FILES#

cd libraries/ && $MAKE all \
&& cd ../su3h_n/ && $MAKE su3_ahiggs \
&& cp su3_ahiggs $EXECNAME \
&& cd ../

#MODULE_INIT2#
#MODULE_CMD2# #MODULE_FILES2#

cd aa/ && $MAKE \
&& cp aa $AAPROG \
&& cd ../
